---
sourceDocument: Australia API Reference
sourceDocumentLink: https://servicenow-prod.fluidtopics.net/r/de-DE/api-reference

 Release :

    - australia

ft:locale :

    - de-DE

ft:publication_title :

    - Australia API Reference

ft:clusterId :

    - crapiref

bundleId :

    - crapiref

workflow :

    - Creator


---

# Create a scripted REST API resource

# Create a scripted REST API resource {#ariaid-title1}

* Freigeben Version: Australia
* 
* Aktualisiert 12. März 2026
* 
* ![](https://www.servicenow.com/docs/portal-asset/ico-clock) 1 Minute Lesedauer

Create a scripted REST API resource to define the HTTP method, the processing script,
and to override settings from the parent service.

## Vorbereitungen

Create a scripted REST API. For more information, see [Create a scripted REST API](https://servicenow-prod.fluidtopics.net/zV_Q7APYwm_PA8KjxbhtAA "Create a scripted REST API to define web service endpoints.").

Role required: web_service_admin

## Prozedur

1. Navigate to AllSystem Web ServicesScripted REST APIs.
2. Select a scripted REST API record.
3. In the Resources related list, click New.
4. Enter a Name.  
   The resource name affects the URI for sending requests to the API.
5. Select the HTTP method this resource implements, such as GET.
6. In the Script field, define how the operation parses and responds to requests.
7. **Wahlweise:** Override settings from the parent REST API as needed, such as by specifying different security settings or valid content types.
8. **Wahlweise:** On the Documentation tab, provide a Short description explaining how to access the resource.  
   This information appears when exploring this resource using the REST API Explorer.
9. Click Submit.
{#t_CreateAScriptedRESTAPIResource__steps_zck_vb4_bs}

## Nächste Maßnahme

After creating the resource, you can associate headers and query parameters. For details, see [Define scripted REST API headers](https://servicenow-prod.fluidtopics.net/hlvpXXwhychmfSEKN2aBBg "Define scripted REST API request headers to control which headers the API accepts and can respond with.") and [Define available query parameters](https://servicenow-prod.fluidtopics.net/ipn3s9myYRGxDiZsluiaNA "Define available query parameters to control what values a requesting user can pass in the request URI.").

